unit IB_QImport2Consts;

interface

resourcestring
  // Errors
  QIE_NoDataSet            = ' DataSet  ';
  QIE_NoDBGrid             = ' DBGrid  '; // since 1.7
  QIE_NoListView           = ' ListView  '; // since 1.7
  QIE_NoStringGrid         = ' StrinGrid  '; // since 1.7
  QIE_NoSource             = '  DataSet-'; // since 1.5
  QIE_NoFileName           = '   ';
  QIE_FileNotExists        = ' %s  ';
  QIE_MappingEmpty         = ' Map  ';
  QIE_CanceledByUser       = '   ';
  QIE_MapMissing           = '    Map';
  QIE_FieldNotFound        = ' %s  ';
  QIE_SourceFieldNotFound  = '   %s  DataSet-'; // since 1.5
  QIE_DataSetClosed        = 'DataSet .    .';
  QIE_AllowedImportsEmpty  = ' AllowedImports     .';
  QIE_KeyColumnsNotDefined = '   '; // since 1.7
  QIE_KeyColumnNotFound    = '  %s  '; // since 1.7
  QIE_XMLFieldListEmpty    = 'XML   '; // since 2.0
  QIE_NeedDefineTextToFind = '     '; // since 2.0

  // Filters
  QIF_TXT      = '  (*.txt)|*.txt';
  QIF_ASCII    = 'ASCII  (*.txt;*.csv)|*.txt;*.csv';
  QIF_CSV      = 'CSV  (*.csv)|*.csv';
  QIF_DBF      = 'DBF  (*.dbf)|*.dbf';
  QIF_XML      = 'XML  (*.xml)|*.xml|All files (*.*)|*.*'; // since 2.0
  QIF_XLS      = ' Microsoft Excel (*.xls)|*.xls';
  QIF_Access   = ' Microsoft Access (*.mdb)|*.mdb';  // since 1.4
  QIF_ALL      = '   (*.txt;*.csv;*.dbf;*.xls)|*.txt;*.csv;*.dbf;*.xls';
  QIF_TEMPLATE = '  QuickImport (*.imp)|*.imp'; // since 1.2

  // Loading
  QIL_Loading                = '...';                      // since 2.0

  // Defaults
  QID_BooleanTrue            = 'True';
  QID_BooleanFalse           = 'False';
  QID_NullValue              = 'Null';                             // since 1.8

  // Wizard
  QIW_importWizard           = '  ';
  QIW_ImportFrom             = ' ';
  QIW_XLS                    = 'MS Excel';
  QIW_Access                 = 'MS Access';                         //since 1.4
  QIW_DBF                    = 'DBF';
  QIW_XML                    = 'XML';                              // since 2.0
  QIW_TXT                    = ' ';
  QIW_CSV                    = 'CSV ';
  QIW_Comma                  = '';
  QIW_Quote                  = '';                          // since 1.65
  QIW_FileName               = '-';
  QIW_NeedCancelCaption      = ' ?';
  QIW_NeedCancel             = ' ,     ?';
  QIW_Question               = '';                           // since 2.0
  QIW_CancelWizard           = '  ?';        // since 2.0

  QIW_Help                   = '&';
  QIW_Back                   = '< &';
  QIW_Next                   = '& >';
  QIW_Cancel                 = '&';
  QIW_Execute                = '&';
  QIW_Step                   = ' %d  %d';
  QIW_TemplateOptions        = '   ';             // since 2.0
  QIW_GoToLastPage           = '    ' +
                               '  ';           // since 2.0
  QIW_AutoSaveTemplate       = '   ' +
                               '  ';             // since 2.0
  QIW_LoadTemplate           = ' ...';
  QIW_SaveTemplate           = ' ...';

  QIW_CommitOptions          = ' ';          // since 1.7
  QIW_Commit                 = ' ';
  QIW_CommitAfterDone        = '  ';
  QIW_CommitRecCount         = ' ';
  QIW_Records                = '';
  QIW_RecordCount            = '  ';
  QIW_ImportAllRecords       = ' ';
  QIW_ImportRecCount         = ' ';
  QIW_CloseAfterImport       = '    ' +
                               '';                          // since 1.8

  QIW_ImportAdvanced         = '';                    // since 1.7
  QIW_AddType                = ' ';                    // since 1.6
  QIW_AddType_Append         = '';                        // since 1.6
  QIW_AddType_Insert         = '';                          // since 1.6

  QIWIM_Caption              = '   ';                  // since 1.7
  QIWIM_Insert_All           = ' ';                     // since 1.7
  QIWIM_Insert_New           = ' ';                   // since 1.7
  QIWIM_Update               = '';                         // since 1.7
  QIWIM_Update_or_Insert     = '  ';              // since 1.7
  QIWIM_Delete               = '';                          // since 1.7
  QIWIM_Delete_or_Insert     = '  ';               // since 1.7

  QIW_AvailableColumns       = ' ';                      // since 1.7
  QIW_SelectedColumns        = ' ';                 // since 1.7

  QIW_ErrorLog               = ' ';
  QIW_EnableErrorLog         = ' ';
  QIW_ErrorLogFileName       = '  ';              // since 1.8
  QIW_RewriteErrorLogFile    = '   ' +
                               ',    ';   // since 1.8
  QIW_ShowErrorLog           = '   ';
  QIW_ErrorLogStarted        = '%s -   ';     // since 1.8
  QIW_ErrorLogFinished       = '%s -   ';    // since 1.8
  QIW_SomeErrorsFound        = ' : %d';               // since 1.8
  QIW_NoErrorsFound          = '  ';                // since 1.8

  QIW_BaseFormats            = ' ';
  QIW_DateTimeFormats        = '   ';           // since 1.65
  QIW_Separators             = '';                      // since 1.65
  QIW_DecimalSeparator       = '';
  QIW_ThousandSeparator      = '';
  QIW_ShortDateFormat        = ' ';
  QIW_LongDateFormat         = ' ';
  QIW_DateSeparator          = '';                             // since 1.65
  QIW_ShortTimeFormat        = ' ';
  QIW_LongTimeFormat         = ' ';
  QIW_TimeSeparator          = '';                          // since 1.65

  QIW_BooleanTrue            = ' ""';
  QIW_BooleanFalse           = ' ""';
  QIW_NullValue              = ' NULL';                    // since 2.0

  QIWDF_Caption              = ' ';
  QIWDF_Fields               = '';
  QIWDF_Tuning               = '';                        // since 1.6
  QIWDF_Replacements         = '';                           // since 1.6
  QIWDF_TextToFind           = '';                         // since 2.0
  QIWDF_ReplaceWith          = '';                               // since 2.0
  QIWDF_IgnoreCase           = '. .';                      // since 2.0
  QIWDF_IgnoreCase_Yes       = '';                               // since 2.0
  QIWDF_IgnoreCase_No        = '';                              // since 2.0
  QIWDF_AddReplacement       = ' ';                  // since 2.0
  QIWDF_EditReplacement      = ' ';             // since 2.0
  QIWDF_DelReplacement       = ' ';                   // since 2.0
  QIWDF_GeneratorValue       = '';
  QIWDF_GeneratorStep        = '';
  QIWDF_ConstantValue        = '';
  QIWDF_NullValue            = 'NULL';
  QIWDF_DefaultValue         = ' ';
  QIWDF_LeftQuote            = ' ';
  QIWDF_RightQuote           = ' ';
  QIWDF_QuoteAction          = '';
  QIWDF_QuoteNone            = ' ';
  QIWDF_QuoteAdd             = '';
  QIWDF_QuoteRemove          = '';
  QIWDF_CharCase             = ' ';
  QIWDF_CharCaseNone         = ' ';
  QIWDF_CharCaseUpper        = '';
  QIWDF_CharCaseLower        = '';
  QIWDF_CharCaseUpperFirst   = '    ';
  QIWDF_CharCaseUpperWord    = '    ';
  QIWDF_CharSet              = ' ';
  QIWDF_CharSetNone          = ' ';
  QIWDF_CharSetAnsi          = 'ANSI';
  QIWDF_CharSetOem           = 'OEM';

  QIWDF_RE_Title             = '';                           // since 2.0
  QIWDF_RE_TextToFind        = '';                            // since 2.0
  QIWDF_RE_ReplaceWith       = ' ';                      // since 2.0
  QIWDF_RE_IgnoreCase        = '  ';               // since 2.0

  QIW_TXT_Fields             = '';
  QIW_TXT_Fields_Pos         = '';                                // since 2.0
  QIW_TXT_Fields_Size        = '';                                // since 2.0
  QIW_TXT_Clear              = '';
  QIW_TXT_SkipLines          = '. ';
  QIW_TXT_Tip                = 'Double click to add or remove '    +
                               'column separators. Click at the '  +
                               'area between separators to '       +
                               'define the imported column.';      // since 2.0

  QIW_CSV_Fields             = '';
  QIW_CSV_ColNumber          = ' ';
  QIW_CSV_SkipLines          = '. ';
  QIW_CSV_AutoFill           = ' ';          // since 1.2
  QIW_CSV_Clear              = '';                         // since 1.2
  QIW_CSV_GridCol            = '_%d';                       // since 1.4
  QIW_CSV_Tip                = 'Select field name from the list '  +
                               'box, then click at the column '    +
                               'to import this field to.';

  QIW_DBF_Add                = '';
  QIW_DBF_Remove             = '';
  QIW_DBF_AutoFill           = '.';
  QIW_DBF_Clear              = '';
  QIW_DBF_SkipDeleted        = ' ';             // since 1.7
  QIW_DBF_Tip                = '  ""  '    +
                               '   '     +
                               '    '   +
                               ' .  '  +
                               ' ""   '    +
                               '.';

  QIW_XML_Add                = '';                         // since 2.0
  QIW_XML_Remove             = '';                          // since 2.0
  QIW_XML_AutoFill           = '.';                      // since 2.0
  QIW_XML_Clear              = '';                         // since 2.0
  QIW_XML_Tip                = '  ""  '    +
                               '   '     +
                               '    '   +
                               ' .  '  +
                               ' ""   '    +
                               '.';                    // since 2.0

  QIW_XLS_Fields             = '';
  QIW_XLS_Ranges             = '';                        // since 2.0
  QIW_XLS_AddRange           = ' ';                // since 2.0
  QIW_XLS_EditRange          = ' ';           // since 2.0
  QIW_XLS_DelRange           = ' ';                 // since 2.0
  QIW_XLS_MoveRangeUp        = ' ';                 // since 2.0
  QIW_XLS_MoveRangeDown      = ' ';                 // since 2.0
  QIW_XLS_SkipCols           = '. ';                   // since 2.0
  QIW_XLS_SkipRows           = '. ';                      // since 2.0
  QIW_XLS_AutoFillCols       = '  ';       // since 1.2
  QIW_XLS_AutoFillRows       = '  ';        // since 1.2
  QIW_XLS_ClearFieldRanges   = '  ';          // since 2.0
  QIW_XLS_ClearAllRanges     = '  ';           // since 2.0
  QIW_XLS_Tip                = 'Use the Range Editor to add/edit ' +
                               'ranges or click individual cells ' +
                               'with Shift or Ctrl pressed. '      +
                               'Press Enter to apply selection '   +
                               'or Escape to cancel.';             // since 2.0

  QIRE_Caption               = '';                         // since 2.0
  QIRE_RangeType             = '   ';                  // since 2.0
  QIRE_RangeType_Col         = '';                          // since 2.0
  QIRE_RangeType_Row         = '';                           // since 2.0
  QIRE_RangeType_Cell        = '';                           // since 2.0
  QIRE_Start                 = '  ';                         // since 2.0
  QIRE_Start_DataStarted     = ' ';                         // since 2.0
  QIRE_Start_Col             = ' ';                       // since 2.0
  QIRE_Start_Row             = ' ';                        // since 2.0
  QIRE_Finish                = '  ';                      // since 2.0
  QIRE_Finish_DataFinished   = ' ';                         // since 2.0
  QIRE_Finish_Col            = ' ';                       // since 2.0
  QIRE_Finish_Row            = ' ';                        // since 2.0
  QIRE_Direction             = '  ';                    // since 2.0
  QIRE_Direction_Down        = '';                             // since 2.0
  QIRE_Direction_Up          = '';                            // since 2.0
  QIRE_Direction_Right       = '';                           // since 2.0
  QIRE_Direction_Left        = '';                            // since 2.0
  QIRE_Sheet                 = '  ';                       // since 2.0
  QIRE_Sheet_Default         = ' ';                     // since 2.0
  QIRE_Sheet_Custom          = ' ';       // since 2.0
  QIRE_Sheet_Custom_Number   = ' ';                   // since 2.0
  QIRE_Sheet_Custom_Name     = ' ';                     // since 2.0

  QIW_Access_Table           = '     '   +
                               '';                          // since 1.4
  QIW_Access_SQL             = '   SQL   '   +
                               '';                          // since 1.4
  QIW_Access_SQL_Load        = '   ';        // since 1.4
  QIW_Access_SQL_Save        = '   ';          // since 1.4
  QIW_Access_Add             = '';                         // since 1.4
  QIW_Access_Remove          = '';                          // since 1.4
  QIW_Access_AutoFill        = '.';                      // since 1.4
  QIW_Access_Clear           = '';                         // since 1.4
  QIW_Access_CustomQuery     = 'SQL ';
  QIW_Access_Tip             = '  ""  '    +
                               '   '     +
                               '    '   +
                               ' .  '  +
                               ' ""   '    +
                               '.';

implementation

end.
